Added hostedtools directory (added by GitHub
diff --git a/github-runner-ami/packer/files/create-hostedtools-cache.sh b/github-runner-ami/packer/files/create-hostedtools-cache.sh
new file mode 100644
index 0000000..89a9f74
--- /dev/null
+++ b/github-runner-ami/packer/files/create-hostedtools-cache.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -eu -o pipefail
+echo "Creating hosted tools cache:"
+install --owner runner --directory /opt/hostedtoolcache
diff --git a/github-runner-ami/packer/ubuntu2004.pkr.hcl b/github-runner-ami/packer/ubuntu2004.pkr.hcl
index 0983ef2..bfe6564 100644
--- a/github-runner-ami/packer/ubuntu2004.pkr.hcl
+++ b/github-runner-ami/packer/ubuntu2004.pkr.hcl
@@ -38,7 +38,7 @@
   #access_key = ""
   #secret_key = ""
   region = var.aws_regions[0]
-  ami_name = "${var.ami_name}-${var.runner_version}-v6"
+  ami_name = "${var.ami_name}-${var.runner_version}-v7"
   ami_regions = var.aws_regions
   tag {
     key   = "Name"
@@ -142,6 +142,7 @@
       "./files/docker-compose.sh",
       "./files/git.sh",
       "./files/runner_bootstrap.sh",
+      "./files/create-hostedtools-cache.sh",
       "./files/docker-buildx.sh",
       "./files/regctl.sh",
       "./files/cleanup.sh",